import type { RootState } from '../modules';
import type { CollectionTabPluginMetadata } from '@mongodb-js/compass-collection';
import type { ActivateHelpers, AppRegistry } from 'hadron-app-registry';
import type { DataService } from 'mongodb-data-service';
import type { MongoDBInstance } from '@mongodb-js/compass-app-stores/provider';
import type { PreferencesAccess } from 'compass-preferences-model';
import type { LoggerAndTelemetry } from '@mongodb-js/compass-logging/provider';
type SchemaValidationServices = {
    globalAppRegistry: AppRegistry;
    dataService: Pick<DataService, 'aggregate' | 'collectionInfo' | 'updateCollection'>;
    preferences: PreferencesAccess;
    instance: MongoDBInstance;
    logger: LoggerAndTelemetry;
};
export declare function configureStore(state: Partial<RootState>, services: Pick<SchemaValidationServices, 'globalAppRegistry' | 'dataService' | 'preferences' | 'logger'>): import("redux").Store<RootState, import("../modules").RootAction> & {
    dispatch: import("redux-thunk").ThunkDispatch<any, Pick<SchemaValidationServices, "dataService" | "preferences" | "logger" | "globalAppRegistry">, import("redux").AnyAction>;
};
export declare function onActivated(options: CollectionTabPluginMetadata, { globalAppRegistry, dataService, preferences, instance, logger, }: SchemaValidationServices, { on, cleanup }: ActivateHelpers): {
    store: import("redux").Store<RootState, import("../modules").RootAction> & {
        dispatch: import("redux-thunk").ThunkDispatch<any, Pick<SchemaValidationServices, "dataService" | "preferences" | "logger" | "globalAppRegistry">, import("redux").AnyAction>;
    };
    deactivate: () => void;
};
export {};
//# sourceMappingURL=store.d.ts.map